# -*- coding: utf-8 -*-
# Copyright (c) 2017 CloudZero - ALL RIGHTS RESERVED - PROPRIETARY AND CONFIDENTIAL
# Unauthorized copying of this file and/or project, via any medium is strictly prohibited.
# Direct all questions to legal@cloudzero.com

from voluptuous import All, Length, Match, Schema

UUID = Schema(Match(r'^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$'))

CLOUD_ACCOUNT_ID = Schema(All(str, Length(min=12, max=12)))
CZ_ACCOUNT_ID = UUID
EXTERNAL_ID = Schema(All(str, Length(min=32, max=32)))
ORGANIZATION_ID = UUID
